Subject: Re: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Apr 2025 09:26:10 +0300

> From: Rudolf Adamkovič <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 20 Apr 2025 01:33:08 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The sign is not for Warning or Error, it's for _disabling_ the
> > message.  That's why it's the same sign.
> 
> This will be confusing Emacs users *forever*, IMO.
> 
> You keep saying we should wait until people get used to these "buttons",
> but that is not a good idea.

That's my opinion, yes.  It's based on a lot of gray hair with user
expectations.  But I also said that people should feel free to ignore
my opinion on this, if they are certain changing the appearance will
produce better results.  So I'm not sure why you are still arguing.

> We should *default* to text buttons, e.g.
> 
>   [Suppress], [Hide], or [Disable].

That still could confuse: suppress what? hide what?

Like I said: there's no clear winner here.